## com.blogspot.applications4android.comicreader
Class ActivityComicSelector.EfficientAdapter.ViewHolder

    java.lang.Object
      com.blogspot.applications4android.comicreader.ActivityComicSelector.EfficientAdapter.ViewHolder

Enclosing class:
  ActivityComicSelector.EfficientAdapter

    static class ActivityComicSelector.EfficientAdapter.ViewHolder

extends java.lang.Object

A private class to hold the view which will be displayed in one row of the listview.

Field Summary
`(package private) Button` `preview` preview button
`(package private) CheckBox` `sel` whether this comic is selected or not
`(package private) TextView` `text_name` stores and displays the comic name

Constructor Summary
`ActivityComicSelector.EfficientAdapter.ViewHolder()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text_name

    TextView text_name

  stores and displays the comic name

### sel

    CheckBox sel

  whether this comic is selected or not

### preview

    Button preview

  preview button

Constructor Detail

### ActivityComicSelector.EfficientAdapter.ViewHolder

    ActivityComicSelector.EfficientAdapter.ViewHolder()